﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Globalization;
using System.Text;

namespace GcPdfViewerSupportApi.Utils
{
    public class ColorUtil
    {
        public static Color? HexToColor(string hexColor, Color? defaultValue = null)
        {
            if (hexColor.Length < 2)
            {
                return defaultValue;
            }
            hexColor = hexColor.Replace("#", "");
            // ensure 6 digits
            while (hexColor.Length < 6)
                hexColor = $"{hexColor}${hexColor[hexColor.Length - 1]}";
            // ensure alpha is specified
            while (hexColor.Length < 8)
                hexColor = $"{hexColor}F";
            int argb = int.Parse(hexColor, NumberStyles.HexNumber);
            var a = (byte)(argb & 0xff);
            var r = (byte)((argb & -16777216) >> 0x18);
            var g = (byte)((argb & 0xff0000) >> 0x10);
            var b = (byte)((argb & 0xff00) >> 8);
            Color c = Color.FromArgb(a, r, g, b);
            return c;
        }
    }
}
